summaryrefslogtreecommitdiff
path: root/scripts/list-tree
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-22 17:06:43 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-03-22 17:06:43 +0000
commiteff96464d8ece0a91846e765e828b6349481dcb3 (patch)
tree32f81ead483bc397f2e102cf15fca0ff1b9cb66f /scripts/list-tree
parent37fe1d880e41e23d34bb28858badaeab945e2c64 (diff)
downloadmorph-eff96464d8ece0a91846e765e828b6349481dcb3.tar.gz
Add testing helper for listing contents of directory trees
Diffstat (limited to 'scripts/list-tree')
-rwxr-xr-xscripts/list-tree25
1 files changed, 25 insertions, 0 deletions
diff --git a/scripts/list-tree b/scripts/list-tree
new file mode 100755
index 00000000..7c2e42b1
--- /dev/null
+++ b/scripts/list-tree
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# List contents of a directory tree in a reproducible manner: only include
+# details that we care about, and that won't be changing between test runs
+# or test environments.
+
+set -eu
+
+export LC_ALL=C
+cd "$1"
+find -printf '%y %f\n' | sort